## org.jfree.report.flow.layoutprocessor
Interface LayoutControllerFactory

All Known Implementing Classes:
  DefaultLayoutControllerFactory

    public interface LayoutControllerFactory

Creation-Date: 24.11.2006, 14:25:02

Author:
  Thomas Morgner

Method Summary
`LayoutController` `create(FlowController controller, java.lang.Object node, LayoutController parent)`

Method Detail

### create

    LayoutController create(FlowController controller,
                            java.lang.Object node,
                            LayoutController parent)
                            throws ReportProcessingException,
                                   ReportDataFactoryException,
                                   DataSourceException

  Throws:
    `ReportProcessingException`
    `ReportDataFactoryException`
    `DataSourceException`